Update Virtual Account
PATCH
/collection-middleware/update/virtual-account/{externalReference}
This endpoint updates the details of a virtual account associated with a specific external reference. A partner would call this endpoint when they need to modify the account name of an existing virtual account. The endpoint accepts a PATCH request with the new account name and returns the updated account details along with a success indicator.
Path parameters
-
externalReferencerequired
Request body
-
accountNamerequiredThe name of the virtual account to be updated.
Response 200
-
successIndicates whether the update operation was successful
-
externalReferenceThe external reference of the virtual account being updated
-
dataThe updated virtual account data
-
accountNumberThe updated account number of the virtual account
-
accountNameThe updated name associated with the virtual account
-
accountCurrencyThe updated currency of the virtual account
-
bankNameThe name of the bank associated with the virtual account.
-
bankCodeThe code of the bank associated with the virtual account.
-
accountStatusThe updated status of the virtual account
-
-
errorThe error details if the update operation failed
-
codeThe error code if the update operation failed
-
messageThe error message if the update operation failed
-